CREATE OR REPLACE FUNCTION fn_GetFileSize("FileID" UUID)
RETURNS Integer AS
 $$
Begin
	return
	(
		select octet_length(f.Contents) from vclib.t_files f	
		where f.FileId = "FileID"
	);
END $$
language plpgsql stable;